%define _use_internal_dependency_generator 0
%define cpanname Authen-SASL

Name:    perl-%{cpanname}
Version: 2.08
Release: 0.2.ker.rhel3
Summary: Perl Authen::SASL module - SASL Authentication framework.
License: Distributable
Group:   Development/Libraries
URL:     http://search.cpan.org/search?mode=module&query=%{cpanname}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl >= 0:5.00503
Source0: %{cpanname}-%{version}.tar.gz
BuildArch: noarch

%description
SASL is a generic mechanism for authentication used by several network
protocols. Authen::SASL provides an implementation framework that all protocols
should be able to share.

%prep
%setup -q -n %{cpanname}-%{version}

%build
echo | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%clean
rm -rf $RPM_BUILD_ROOT
%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
        sed "s@^$RPM_BUILD_ROOT@@g" | \
        grep -v perllocal.pod | \
        grep -v "\.packlist" > %{cpanname}-%{version}-filelist
if [ "$(cat %{cpanname}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{cpanname}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Wed Jun 30 2004 Milan Kerslager <kerslage@linux.cz> 2.08-0.2.ker.rhel3
- initial version
